Updating from v1.1.6

Tried to update from v1.1.6 to the latest but I'm getting error on setup that data base can't be accessed.
I understand that I have to update in steps. Do I have to go and update every minor update as well? Are the steps in updating same as for the latest update?
Is there a way to do the latest new install and then move albums folder and other necessary folders and files from v1.1.6 and have it working properly and have all commentaries and descriptions intact?

Comments

  • fretzl Administrator
    It should work in one go.
    There are however a few things to consider.

    The `zp-config.php` file does not exist anymore.
    It has been renamed to `zenphoto.cfg` (that's probably why you can't connect to the database)

    Also, there have been some structural changes in the theme files.

    Compare your theme files to one of the distributed theme files and you'll see for instance that the function `normalizeColumns` is no longer used.

    There are also `<?php zp_apply_filter('theme_head'); ?>` to be used in the <head> section.
    `<?php zp_apply_filter('theme_body_open'); ?>` right after the opening body tag and `<?php zp_apply_filter('theme_body_close');?>` right before the
    closing body tag.

    As to you second question:
    That means you would start with a fresh database and I'm not sure you can just import a backed-up database to keep your descriptions, etc. intact as there have been some changes in the database as well.

    One of the developers can surely answer that.
  • acrylian Administrator
    As fretzl said a direct upgrade should generally work. I did upgrade even older versions. But of course no one can give a 100% guarantee.
    Is there a way to do the latest new install and then move albums folder and other necessary folders and files from v1.1.6 and have it working properly and have all commentaries and descriptions intact?
    No, as the descriptions etc are of course stored in the database. Current Zenphoto releases provide a tool to export/backup the database (the part belonging to Zenphoto only if you sharing the database with anything else). You would have to do that manually on 1.1.6 using tools like phpmyadmin. (you should do this anyway on upgrades!).

    Except that db export you could follow this:
    http://www.zenphoto.org/news/how-to-move-my-installation-to-a-new-server-

    However you cannot export the 1.1.6 database data and use it with current release directly. Too much changed. If you move you need to first install 1.1.6 first and then upgrade that.
  • @acrylian
    >>If you move you need to first install 1.1.6 first and then upgrade that.<<
    I already did that. I copied/duplicated 1.1.6 on the same server. If I understand you, I should upgrade from 1.1.6 but to what version? 1.1.7 or higher? Please could you elaborate with more details what should I do?
  • acrylian Administrator
    If you want to move to a new server or use a new database you need to export the database from your 1.1.6. install. Then at the new location you need also an 1.1.6 install so the database works. Then you can upgrade that 1.1.6 install to whatever version. As said previously a direct upgrade to 1.4.2.1 should generally work but since always something can go wrong unexpected that database backup is strongly recommend.
  • I will stay on the same server. Does it mean that I should than export database from 1.1.6, install 1.4.2.1 and create a new empty database then import 1.1.6 database and everything should work?
  • acrylian Administrator
    No, as I just explained. A 1.1.6 database will of course not work with a 1.4.2.1 install.... You need to upgrade an 1.1.6 install so the database structure is updated
  • Sorry to bother but do I have to go and upgrade 1.1.6 to 1.1.7 ans so on to every minor upgrade or I ca skip certain upgrades and which? I guess you as a developer can tell me which upgrades I should not skip.
  • I guess that the only way we could tell you that is to have made each of those upgrade attempts. Surely you understand that we do not have the time to test all the combinations of upgrade possibilities.

    If I understand you correctly, you are currently running 1.1.6 on your server. Is this version still running? Then your process is to install the 1.4.2.1 release over top of the running 1.1.6 installation. We believe that this will be successful, but have not tested and will not test this particular combination. You should have a backup of your database in case this jump does not work.

    If the jump does not work, then you will have to restore to 1.1.6 and upgrade to each release in the sequence. The only releases you can surely skip are the support releases (the x.x.x.1, x.x.x.2, etc.)

    I am reasonably certain that people have directly upgraded from 1.2.5 to the current relase, so once you get there you should be able to go straight to 1.4.2.1.

    Note that the requirements for 1.4.2.1 are more strict than for 1.1.6, so you will have to upgrade you PHP and MySQL if they are not already at the required levels.
  • OK. I hear you. One more thing to clarify. To upgrade I have to upload and replace only two folders (themes and zp-core) and one file, index.pgp for each upgrade. Is this correct?
    Thank you in advance for helping me.
  • fretzl Administrator
    Yes ;-)
    Also see: `www.zenphoto.org/news/installation-and-upgrading#2`
Sign In or Register to comment.